BuddyDev

Search

[Resolved] Community Builder PRO – Buddypress Group Image Avatar Upload Error

  • Participant
    Level: Initiated
    Posts: 5
    Christopher Palmer on #32848

    The theme just won’t upload an image avatar for the groups page. It’s not an issue with php because I had looked in php.ini and made sure that the nginx settings were correct.

    What works: switching to one of the default wordpress template Twenty Twenty did allow me to upload a new image for the group I created, but does not work within the ‘Community Builder Pro’ Template.

    Error message: The link you followed has expired.

  • Participant
    Level: Initiated
    Posts: 5
    Christopher Palmer on #32849

    I checked to make sure it wasn’t just a browser issue.
    Browsers I tested the Group Avatar upload issue with:
    -Vivaldi
    -Chrome
    -Chromium
    -Firefox
    -Samsung mobile browser from my phone

  • Keymaster
    (BuddyDev Team)
    Posts: 21785
    Brajesh Singh on #32850

    Hi Christopher,
    I am sorry for the issue.

    Are you using WordPress 5.5 and BuddyPress 6.2? Is there any plugin specific to BuddyPress groups enabled? Also, are you on multisite or normal WordPress.

    I am checking it now, Will be getting back within 1 hour.

    Regards
    Brajesh

  • Keymaster
    (BuddyDev Team)
    Posts: 21785
    Brajesh Singh on #32851

    Hi Christopher,
    I have tried it on the Apache now and it is working(avatar/cover upload).

    I am going to try on nginx in 1-2 hours and will be reporting back. If you can provide us the WordPress/BuddyPress version and other details from my previous reply, It will help a lot.

    Thank you
    Brajesh

  • Keymaster
    (BuddyDev Team)
    Posts: 21785
    Brajesh Singh on #32855

    Hi Christopher,
    I just tested the same by creating group and modifying it for existing group and it worked on nginx too.

    I am sharing a link to demo and credentials for testing.

    For your error message, It seems the nonce had expired. Can you please retry and see if you are able to re-create it.

    Regards
    Brajesh

  • Keymaster
    (BuddyDev Team)
    Posts: 21785
    Brajesh Singh on #32856
    This reply has been marked as private.
  • Participant
    Level: Initiated
    Posts: 5
    Christopher Palmer on #32859

    I’m on WordPress version 5.5
    Buddypress 6.2.0

    Don’t know what’s going on. Has there been any issues with the plugins WP fail2ban or Wordfence security. I disabled and enabled them and for now it’s working.

  • Participant
    Level: Initiated
    Posts: 5
    Christopher Palmer on #32860

    Just now noticed the difference.
    The buddypress legacy template pack from the menu works fine. Don’t know how that switched on me.

    It’s the Buddypress Nouveau pack that is causing the error.

    settings->buddypress->options tab
    Template Pack is the third option down under Main Settings.

  • Keymaster
    (BuddyDev Team)
    Posts: 21785
    Brajesh Singh on #32872

    Hi Christopher,
    Thank you for the details.

    The Community Builder Pro theme only supports legacy template pack at the moment. It was intentional to have more control for us. In 3.0, that may change.

    The theme comes with code to auto enable the legacy template when it is activated. Is there any chance you were using a child theme earlier.

    Please use the legacy template pack and it should work as expected.

    Regards
    Brajesh

You must be logged in to reply to this topic.

This topic is: resolved